Page MenuHomePhabricator

Write a preliminary scoring function to rank suggestions
Closed, ResolvedPublic

Description

For the first prototype we could use a weighted composite score based on :

  • number of incoming links
  • number of external links
  • number of redirects
  • number of headings
  • page size
  • boosted templates if available
  • recency

Event Timeline

dcausse created this task.Jul 17 2015, 8:03 AM
dcausse raised the priority of this task from to Needs Triage.
dcausse updated the task description. (Show Details)
dcausse added a subscriber: dcausse.
Restricted Application added a project: Discovery. · View Herald TranscriptJul 17 2015, 8:03 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
dcausse claimed this task.Aug 12 2015, 1:46 PM
dcausse set Security to None.

Change 231023 had a related patch set uploaded (by DCausse):
Add an initial scoring function

https://gerrit.wikimedia.org/r/231023

Change 231023 merged by jenkins-bot:
Add an initial scoring function

https://gerrit.wikimedia.org/r/231023

Deskana closed this task as Resolved.Aug 31 2015, 6:03 PM
Deskana triaged this task as Normal priority.
Deskana added a subscriber: Deskana.

This was done. Work to improve the scoring algorithm continues in T110915.